/* Copyright (C) 2001,2008 Martijn van Iersel and Jules Beulen
 * This program is released under the terms of the zlib license
 * See license.txt for details
 */
#ifndef MENU_H
#define MENU_H

#include "game.h"

class Menu
{
private:
    GameEngine *ge;
    bool menu_finished;
    int menu_choice;
public:
    void setGameEngine (GameEngine *newge);
    void draw (BITMAP *buffer, BITMAP *title, BITMAP *panel);
    void drawHelp (BITMAP *buffer, BITMAP *title, BITMAP *panel);
    void init ();
    void update ();
    bool finished();
    int getChoice();
};

#endif
